

import 'package:wowit/data.dart';


//get message by key
String getMessage(String key) {
  Map mapMessage;
  switch (languageId) {
    case 'vn':
      mapMessage = mapMessageData_VN;
      break;
    case 'en':
      mapMessage = mapMessageData_EN;
      break;
    case 'jp':
      mapMessage = mapMessageData_JP;
      break;
    case 'cn':
      mapMessage = mapMessageData_CN;
      break;
    case 'kr':
      mapMessage = mapMessageData_KR;
      break;
    default:
      return key;
  }
  if (mapMessage.containsKey(key)) return mapMessage[key];
  return key;
}

void setLanguage(String languageCode) {
  languageId = languageCode;
}